package org.dromara.system.service;

import org.dromara.system.domain.SitePunter;
import org.dromara.system.domain.vo.SitePunterVo;
import org.dromara.system.domain.bo.SitePunterBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2024-10-31
 */
public interface ISitePunterService {

    /**
     * 查询【请填写功能名称】
     */
    SitePunterVo queryById(Long id);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<SitePunterVo> queryPageList(SitePunterBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<SitePunterVo> queryList(SitePunterBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(SitePunterBo bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(SitePunterBo bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
